import request from '@/utils/request'

// 查询TmPlatform列表
export function listTmPlatform(query) {
  return request({
    url: '/api/v1/tm-platform',
    method: 'get',
    params: query
  })
}

// 查询TmPlatform详细
export function getTmPlatform(id) {
  return request({
    url: '/api/v1/tm-platform/' + id,
    method: 'get'
  })
}

// 新增TmPlatform
export function addTmPlatform(data) {
  return request({
    url: '/api/v1/tm-platform',
    method: 'post',
    data: data
  })
}

// 修改TmPlatform
export function updateTmPlatform(data) {
  return request({
    url: '/api/v1/tm-platform/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除TmPlatform
export function delTmPlatform(data) {
  return request({
    url: '/api/v1/tm-platform',
    method: 'delete',
    data: data
  })
}

